#!/usr/bin/env node

'use strict';

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _glob = require('glob');

var _glob2 = _interopRequireDefault(_glob);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _jsonlint = require('jsonlint');

var _jsonlint2 = _interopRequireDefault(_jsonlint);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var argv = require('minimist')(process.argv.slice(2));

var targetPath = argv.path;
var pattern = argv.pattern || '**/*.json';

function lint() {

	if (!_path2.default) {
		return console.log('Please provide --path');
	}

	if (! ~pattern.indexOf('.json')) {
		return console.log('Pattern needs to look for .json files');
	}

	if (_path2.default) {
		(function () {

			var schema = require('./draft-04-schema.json');
			var target = _path2.default.join(targetPath, pattern);

			console.log('');
			console.log('Pattern:');
			console.log(_chalk2.default.green(target));

			var count = 0;
			var files = _glob2.default.sync(target);

			files.forEach(function (file) {

				var fileContent = _fs2.default.readFileSync(file, { encoding: 'utf-8' });

				if (fileContent) {

					try {
						_jsonlint2.default.parse(fileContent);
					} catch (err) {
						count++;
						console.log('');
						console.log(_chalk2.default.underline.red(count, file));
						console.log(err);
						console.log('');
					}
				}
			});
			console.log('----------------------------------------------');
			console.log('Found errors in', _chalk2.default.red(count), 'files');
			console.log('----------------------------------------------');
		})();
	}
}

lint();
